=== debian/changelog ===
task (2.3.0+dfsg-3) unstable; urgency=low

  * Improve the get-orig-source script:
    + Use the POSIX 1003.1-1988 (ustar) format for tarballs.
  * Update the watch file.
  * Add patch (default-editor.diff) to change the default editor from “vi” to
    “editor”, as per Policy §11.4.
  * Add patch (fix-task-sync-man-url.diff) to fix task server setup
    documentation URL (closes: #749180).
    Thanks to Axel Beckert for the bug report.
  * Use “dpkg-parsechangelog -SVersion” for extracting version number in
    debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 31 May 2014 23:22:30 +0200

task (2.3.0+dfsg-2) unstable; urgency=low

  * Update git URL in the get-orig-source script.
  * Use dh-buildinfo:
    + Update debian/rules.
    + Add the package to Build-Depends.
  * Add DEP-8 tests that run adequate(1) against the packages.
  * Add patch (tests-count-eom.diff) to make the count.t test failures on the
    last day of the month non-fatal (closes: #743238). Thanks to James
    Dietrich for the bug report and the analysis of the problem.
  * Remove a long obsolete comment from debian/rules.
  * Drop tests-unset-env-vars.diff, as the problem of test suite stomping on
    user's data has been fixed upstream.
    Set TASKDATA and TASKRC to specially-crafted values (both in debian/rules
    and in the DEP-8 test), so that task trips over it if the problem
    reappears in the future 
  * Mark tests-fail.diff as forwarded upstream.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 02 Apr 2014 11:33:52 +0200

task (2.3.0+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * Repackage .orig.tar to remove documentation that cannot be edited with
    free tools (closes: #737478).
  * Add patch (no-task-ref.diff) not try to install task-ref.pdf, as it's now
    missing.
  * Drop code to remove pre-built static libraries from debian/rules, as they
    are not included in the repacked .orig.tar.
  * Switch to xz compression, both for .orig.tar and .debian.tar.
  * Update the watch file.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 13 Feb 2014 23:33:28 +0100

task (2.3.0-1) experimental; urgency=low

  * New upstream release.
  * Fix debian/watch to correctly handle non-beta versions.
  * Drop patches that were applied upstream:
    + customizable-rcdir.diff;
    + no-path-max.diff;
    + tests-fix-pri-sort.diff;
    + tests-fix-bug.annual.diff;
    + system-kfreebsd.diff;
    + system-hurd.diff;
    + typos.diff.
  * Refresh remaining patches.
  * Add patch (fix-groff-warnings.diff) to fix some groff warnings.
  * Force gzip for .debian.tar compression.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 19 Jan 2014 23:19:34 +0100

task (2.3.0~beta2-2) experimental; urgency=low

  * Add patches (tests-fix-pri-sort.diff, tests-fix-bug.annual.diff) to fix a
    few test failures.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 08 Jan 2014 12:23:45 +0100

task (2.3.0~beta2-1) experimental; urgency=low

  * New upstream beta release.
  * Update the watch file and the get-orig-source script to accept beta
    versions.
  * Drop patches that were applied upstream:
    + tests-out-of-tree.diff;
    + tests-temporary-directory.diff;
    + directory-no-path-max.diff;
    * directory-handle-dt-unknown.diff.
  * Refresh remaining patches.
  * Fix support for GNU/Hurd and GNU/kFreeBSD:
    + Update system-kfreebsd.diff; partially applied upstream.
    + Update system-hurd.diff; partially applied upstream.
    + Add patch (no-path-max.diff) to use get_current_dir_name() instead of
      relying on PATH_MAX, as the latter is not defined on GNU/Hurd.
  * Add code to remove pre-built static libraries to debian/rules; the static
    libraries are back in .orig.tar…
  * Adapt the test suite to Debian needs:
    + Update tests-for-released-version.diff to allow running tests against a
      beta version of taskwarrior.
    + Add patch (tests-time-independent.diff) to disable checking if copyright
      information covers the current year.
  * Build-depend on libreadline-dev (needed by the new tasksh command).
  * Link with --as-needed, to avoid direct dependencies on ncurses.
  * Update DEP-8 tests for tasksh.
  * Update Depends in the DEP-8 control file, to takie into account the binary
    package rename.
  * Drop tests-set-build-type.diff. Instead, add a patch
    (enable-warnings.diff) to enable warnings globally and to stop hardcoding
    build type. Set build type in debian/rules via cmake configuration
    variable.
  * Add patch (typos.diff) to fix a few spelling mistakes.
  * Disable GnuTLS support for the time being.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 07 Jan 2014 22:35:48 +0100

task (2.2.0-4) experimental; urgency=low

  * Fix a typo in the copyright file.
  * Update years in the copyright file.
  * Bump standards version to 3.9.5 (no changes needed).
  * Replace patch to hardcode Debian-specific paths (debian-paths.diff) with a
    cleaner patch (customizable-rcdir.diff) that makes TASK_RCDIR customizable
    at configure time. Update deban/rules to set TASK_DOCDIR and TASK_RCDIR at
    configure time.
  * Rename the binary package: task → taskwarrior (closes: #719317).
    Thanks to Ben Armstrong for the bug report.
    + Rename the main package as “taskwarrior” in debian/control; add
      Conflicts/Replaces against the old “task” package.
    + Add transitional package to debian/control.
    + Move Pre-Depends to the transitional package.
    + Rename debhelper configuration files.
    + Update debian/rules and README.Debian accordingly.
    + Make /usr/share/task a symlink to /usr/share/taskwarrior, for backwards
      compatibility.
    + Add postinst script to deal with transitioning /usr/share/task from
      directory to symlink.
    + Add lintian override for conflicts-with-version. Conflicts makes
      transitioning /usr/share/task from directory to symlink slightly easier.
  * Keep the i18n directory in /usr/share/doc.
  * Drop code to remove pre-built static libraries from debian/rules; the

