## task 2.4.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
 cmake_minimum_required (VERSION 2.8)
 set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
+if(POLICY CMP0037)
+  cmake_policy(SET CMP0037 OLD)
+endif()
 
 include (CheckFunctionExists)
 include (CheckStructHasMember)
@@ -7,12 +10,40 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.3.0")
+set (PROJECT_VERSION "2.4.3")
+
+OPTION(USE_GNUTLS "Build gnutls support." ON)
+
+message ("CMAKE_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}")
+
+include (CheckCXXCompilerFlag)
+
+# NOTE: If we are to actually use C++11 features, we should either require
+#       a compiler that supports the -std=c++11 flag or check for the
+#       features used.
+#       Relying on -std=c++0x or even -std=gnu++0x is highly volatile.
+
+CHECK_CXX_COMPILER_FLAG("-std=c++11" _HAS_CXX11)
+CHECK_CXX_COMPILER_FLAG("-std=c++0x" _HAS_CXX0X)
+CHECK_CXX_COMPILER_FLAG("-std=gnu++0x" _HAS_GNU0X)
+
+if (_HAS_CXX11)
+  set (_CXX11_FLAGS "-std=c++11")
+elseif (_HAS_CXX0X)
+  message (WARNING "Enabling -std=c++0x draft compile flag. Your compiler does not support the standard '-std=c++11' option.  Consider upgrading.")
+  set (_CXX11_FLAGS "-std=c++0x")
+elseif (_HAS_GNU0X)
+  message (WARNING "Enabling -std=gnu++0x draft compile flag. Your compiler does not support the standard '-std=c++11' option. Consider upgrading.")
+  set (_CXX11_FLAGS "-std=gnu++0x")
+else (_HAS_CXX11)
+ message (FATAL_ERROR "C++11 support missing. Try upgrading your C++ compiler. If you have a good reason for using an outdated compiler, please let us know at support@taskwarrior.org.")
+endif (_HAS_CXX11)
 
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   set (LINUX true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   set (DARWIN true)
+  set (_CXX11_FLAGS "${_CXX11_FLAGS} -stdlib=libc++")
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "kFreeBSD")
   set (KFREEBSD true)
 elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
@@ -25,9 +56,25 @@
   set (SOLARIS true)
 elseif (${CMAKE_SYSTEM_NAME} STREQUAL "GNU")
   set (GNUHURD true)
+elseif (${CMAKE_SYSTEM_NAME} STREQUAL "CYGWIN")
+  set (CYGWIN true)
+  # NOTE: Not setting -std=gnu++0x leads to compile errors even with
+  #       GCC 4.8.3, and debugging those leads to insanity. Adding this
+  #       workaround instead of fixing Cygwin.
+  set (_CXX11_FLAGS "-std=gnu++0x")
 else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   set (UNKNOWN true)
 endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+
+set (CMAKE_CXX_FLAGS "${_CXX11_FLAGS} ${CMAKE_CXX_FLAGS}")
+
+set (CMAKE_CXX_FLAGS "-Wall -Wsign-compare -Wreturn-type ${CMAKE_CXX_FLAGS}")
+
+if (NETBSD)
+   # Since readline, etc likely to be in /usr/pkg/lib, not standard library
+   # Otherwise will remove links during install
+   set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+endif (NETBSD)
 
 if (FREEBSD)
 SET (TASK_MAN1DIR man/man1 CACHE STRING "Installation directory for man pages, section 1")
@@ -59,35 +106,15 @@
 set (PACKAGE_VERSION "${VERSION}")
 set (PACKAGE_STRING "${PACKAGE} ${VERSION}")
 
-message ("-- Looking for GnuTLS")
-find_package (GnuTLS)
-if (GNUTLS_FOUND)
-  set (HAVE_LIBGNUTLS true)
-  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIR})
-  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${GNUTLS_LIBRARIES})
-endif (GNUTLS_FOUND)
-
-#message ("-- Looking for pthread")
-#find_path (PTHREAD_INCLUDE_DIR pthread.h)
-#find_library (PTHREAD_LIBRARY NAMES pthread)
-#if (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
-#  message ("-- Found pthread: ${PTHREAD_LIBRARY}")
-#  set (HAVE_LIBPTHREAD true)
-#  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${PTHREAD_INCLUDE_DIR})
-#  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${PTHREAD_LIBRARIES})
-#endif (PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY)
-
-# include the readline library finder module
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules")
-
-# find readline
-message ("-- Looking for GNU Readline")
-find_package (Readline)
-if (READLINE_FOUND)
-  set (HAVE_READLINE true)
-  set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${READLINE_INCLUDE_DIR})
-  set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${READLINE_LIBRARIES})
-endif (READLINE_FOUND)
+if (USE_GNUTLS)
+   message ("-- Looking for GnuTLS")
+   find_package (GnuTLS)
+   if (GNUTLS_FOUND)
+     set (HAVE_LIBGNUTLS true)
+     set (TASK_INCLUDE_DIRS ${TASK_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIR})
+     set (TASK_LIBRARIES    ${TASK_LIBRARIES}    ${GNUTLS_LIBRARIES})
+   endif (GNUTLS_FOUND)
+endif (USE_GNUTLS)
 
 check_function_exists (timegm  HAVE_TIMEGM)
 check_function_exists (get_current_dir_name HAVE_GET_CURRENT_DIR_NAME)
@@ -128,11 +155,14 @@
   set (PACKAGE_LANGUAGE 1)
 endif (LANGUAGE)
 
-set (LANGUAGE_EN_US 1)
-set (LANGUAGE_ES_ES 2)
-set (LANGUAGE_DE_DE 3)
-set (LANGUAGE_FR_FR 4)
-set (LANGUAGE_IT_IT 5)
+set (LANGUAGE_ENG_USA 1)
+set (LANGUAGE_ESP_ESP 2)
+set (LANGUAGE_DEU_DEU 3)
+set (LANGUAGE_FRA_FRA 4)
+set (LANGUAGE_ITA_ITA 5)
+set (LANGUAGE_POR_PRT 6)
+set (LANGUAGE_EPO_RUS 7)
+set (LANGUAGE_POL_POL 8)
 
 message ("-- Configuring cmake.h")
 configure_file (
@@ -142,9 +172,7 @@
 add_subdirectory (src)
 add_subdirectory (src/commands)
 add_subdirectory (src/columns)
-add_subdirectory (src/shell)
 add_subdirectory (doc)
-add_subdirectory (i18n)
 add_subdirectory (scripts)
 if (EXISTS ${CMAKE_SOURCE_DIR}/test)
   add_subdirectory (test EXCLUDE_FROM_ALL)
@@ -153,7 +181,7 @@
   add_subdirectory (performance EXCLUDE_FROM_ALL)
 endif (EXISTS performance)
 
-set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
+set (doc_FILES NEWS ChangeLog README.md INSTALL AUTHORS COPYING)
 foreach (doc_FILE ${doc_FILES})
   install (FILES ${doc_FILE}  DESTINATION ${TASK_DOCDIR})
 endforeach (doc_FILE)
@@ -164,8 +192,7 @@
 set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
 set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                 "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
-                                "test" "package-config" "misc/*" "src/task$" "src/libtask.a"
-                                "src/columns/libcolumns.a" "src/commands/libcommands.a"
-                                "src/shell/tasksh$" "src/shell/libtasksh.a" "auto.h$"
+                                "test" "package-config" "misc/*" "src/task$" "src/calc$" "performance"
+                                "src/libtask.a" "src/columns/libcolumns.a" "src/commands/libcommands.a"
                                 "/\\.gitignore" "/\\.git/" "swp$")
 include (CPack)
