=== test/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,15 @@
                      ${TASK_INCLUDE_DIRS})
 
 set (test_SRCS autocomplete.t color.t config.t date.t directory.t dom.t
-               duration.t file.t i18n.t json.t list.t msg.t nibbler.t path.t
-               rx.t t.t t2.t t3.t taskmod.t tdb2.t text.t uri.t utf8.t util.t
-               view.t width.t json_test)
+               file.t i18n.t json.t list.t msg.t nibbler.t path.t rx.t t.t t2.t
+               t3.t tdb2.t text.t utf8.t util.t view.t json_test lexer.t
+               iso8601d.t iso8601p.t duration.t variant_add.t
+               variant_and.t variant_cast.t variant_divide.t variant_equal.t
+               variant_exp.t variant_gt.t variant_gte.t variant_inequal.t
+               variant_lt.t variant_lte.t variant_match.t variant_math.t
+               variant_modulo.t variant_multiply.t variant_nomatch.t
+               variant_not.t variant_or.t variant_partial.t variant_subtract.t
+               variant_xor.t eval.t dates.t)
 
 message ("-- Configuring run_all")
 if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
