=== src/commands/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,15 @@
                    CmdAliases.cpp     CmdAliases.h
                    CmdAnnotate.cpp    CmdAnnotate.h
                    CmdAppend.cpp      CmdAppend.h
+                   CmdAttributes.cpp  CmdAttributes.h
                    CmdBurndown.cpp    CmdBurndown.h
+                   CmdCalc.cpp        CmdCalc.h
                    CmdCalendar.cpp    CmdCalendar.h
                    CmdCommands.cpp    CmdCommands.h
                    CmdColor.cpp       CmdColor.h
                    CmdColumns.cpp     CmdColumns.h
                    CmdConfig.cpp      CmdConfig.h
+                   CmdContext.cpp     CmdContext.h
                    CmdCount.cpp       CmdCount.h
                    CmdCustom.cpp      CmdCustom.h
                    CmdDelete.cpp      CmdDelete.h
@@ -34,12 +37,9 @@
                    CmdInfo.cpp        CmdInfo.h
                    CmdLog.cpp         CmdLog.h
                    CmdLogo.cpp        CmdLogo.h
-                   CmdMerge.cpp       CmdMerge.h
                    CmdModify.cpp      CmdModify.h
                    CmdPrepend.cpp     CmdPrepend.h
                    CmdProjects.cpp    CmdProjects.h
-                   CmdPull.cpp        CmdPull.h
-                   CmdPush.cpp        CmdPush.h
                    CmdReports.cpp     CmdReports.h
                    CmdShow.cpp        CmdShow.h
                    CmdStart.cpp       CmdStart.h
