=== debian/changelog ===
task (2.4.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastien Badia <seb@sebian.fr>  Wed, 29 Apr 2015 01:38:54 +0200

task (2.4.3+dfsg-1) experimental; urgency=medium

  [ Gordon Ball ]
  * New upstream release: 2.4.3
  * d/patches: Refresh for new release.

  [ Sebastien Badia ]
  * Fix version number in the maint script; Thanks Jakub! (Closes: #710321)

 -- Sebastien Badia <seb@sebian.fr>  Tue, 21 Apr 2015 17:59:33 +0200

task (2.4.1+dfsg-3) unstable; urgency=medium

  * Re-introduce Jakub fix for bash completion file (closes: #710321):
    + Rename /etc/bash_completion.d/task.sh back as /etc/bash_completion.d/task
    + Update debian/rules accordingly.
    + Add debian/maintscript to let dh_installdeb add maintainer script
      snippets to remove the old file, Debian version 2.4.1-1 was accidentally
      uploaded to unstable.
  * Fix install step (re-add rc files) (Closes: #779914).

 -- Sebastien Badia <seb@sebian.fr>  Sat, 07 Mar 2015 23:27:50 +0100

task (2.4.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastien Badia <seb@sebian.fr>  Fri, 06 Mar 2015 07:04:47 +0100

task (2.4.1+dfsg-1) unstable; urgency=medium

  [ Gordon Ball ]
  * d/patchs: Refresh according new upstream release
    * tests-fail.diff (fixed upstream, TW-1296)
    * tests-for-released-version.diff (fixed upstream)
    * tests-count-eom.diff (fixed upstream, TW-1295)
    * fix-task-sync-man-url.diff (fixed upstream)
  * Enable GnuTLS support (closes: #741625, LP: #1344560)
  * tasksh is now a separate project and no longer included in this package

  [ Sebastien Badia ]
  * New upstream release: 2.4.1 (LP: #1286939)
  * New maintainer (co-maint. with Gordon) (closes: #762130)
    * Many thanks to Gordon, Michel, Jack L. and Tobias Frost for the help!
  * d/NEWS: Add a note about the removal of tasksh.
  * d/copyright: Convert to dep5 format and fix lintian warnings.
  * d/rules: Convert to shorted dh format.
  * d/patchs: Sort, refresh, and remove unsed patchs.
    * Add missing DEP-3 headers on d/p/no-task-ref.patch
  * Enable full taskwarrior test suite (including python tests)
    (Thanks to Michel Voßkuhle)
  * Refresh debian/get-orig-source.sh (this script is used to import
    taskwarrior test-suite in the orig tarball)
  * d/control: Many changes
    * Update standard-version (no changes)
    * Upgrade debhelper compat format to 9
    * Remove dpkg-dev build dependency
    * Add python and git to build-deps (for the test suite)
    * Add vcs-* fields (this package is now managed with GIT)
  * Get package lintian clean
    * remove un-needed lintian override
    * fix quilt-patch-missing-description
    * fix manpage-has-errors-from-man
    * fix hyphen-used-as-minus-sign

 -- Sebastien Badia <seb@sebian.fr>  Sun, 01 Mar 2015 22:03:25 +0100
