=== debian/control ===
Source: task
Section: utils
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: cmake,
               debhelper (>= 9),
               dh-buildinfo,
               git,
               libgnutls28-dev,
               libjson-perl,
               libreadline-dev,
               python,
               uuid-dev
Standards-Version: 3.9.6
Homepage: http://taskwarrior.org
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/task.git
Vcs-Git: git://anonscm.debian.org/collab-maint/task.git
XS-Testsuite: autopkgtest

Package: taskwarrior
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: task (<< 2.2.0-4~)
Replaces: task (<< 2.2.0-4~)
Description: feature-rich console based todo list manager
 Taskwarrior is a sophisticated command line todo list and task
 manager with a lot of features:
 .
  * colorful tabbed output
  * feature rich search function
  * tags
  * statistics
  * Getting Things Done compatible
  * interactive editing of items in text editor

Package: task
Section: oldlibs
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: taskwarrior (= ${binary:Version}), ${misc:Depends}
Description: feature-rich console based todo list manager - transitional package
 Taskwarrior is a sophisticated command line todo list and task
 manager with a lot of features:
 .
 This is a transitional dummy package. It can be safely removed.
