## task 2.4.4+dfsg

=== debian/changelog ===
task (2.4.4+dfsg-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release: 2.4.4
  * Bash and fish completions now installed under /usr/share (see #776954)
  * Build should now be reproducible (`task diagnostics` will no longer
    show the build timestamp, which shouldn't make too much difference)

  [ Sebastien Badia ]
  * Upstream fix for typo in the 'NEWS' file (Closes: #789417)
  * Maintain a NEWS file with not only the latest version (Closes: #789420)

 -- Sebastien Badia <seb@sebian.fr>  Sun, 12 Jul 2015 11:45:10 +0200
