## task 2.5.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,5 @@
 cmake_minimum_required (VERSION 2.8)
 set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
-if(POLICY CMP0037)
-  cmake_policy(SET CMP0037 OLD)
-endif()
 
 include (CheckFunctionExists)
 include (CheckStructHasMember)
@@ -10,9 +7,16 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.4.3")
-
-OPTION(USE_GNUTLS "Build gnutls support." ON)
+set (PROJECT_VERSION "2.5.0")
+
+OPTION (ENABLE_SYNC "Enable 'task sync' support" ON)
+
+if (ENABLE_SYNC)
+  set (USE_GNUTLS ON CACHE BOOL "Build gnutls support." FORCE)
+else (ENABLE_SYNC)
+  set (USE_GNUTLS OFF CACHE BOOL "Build gnutls support." FORCE)
+  message (WARNING "ENABLE_SYNC=OFF. Not building sync support.")
+endif (ENABLE_SYNC)
 
 message ("CMAKE_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}")
 
@@ -116,6 +120,10 @@
    endif (GNUTLS_FOUND)
 endif (USE_GNUTLS)
 
+if (ENABLE_SYNC AND NOT GNUTLS_FOUND)
+  message (FATAL_ERROR "Cannot find GnuTLS. Use -DENABLE_SYNC=OFF to build Taskwarrior without sync support. See INSTALL for more information.")
+endif (ENABLE_SYNC AND NOT GNUTLS_FOUND)
+
 check_function_exists (timegm  HAVE_TIMEGM)
 check_function_exists (get_current_dir_name HAVE_GET_CURRENT_DIR_NAME)
 check_function_exists (wordexp HAVE_WORDEXP)
@@ -163,6 +171,7 @@
 set (LANGUAGE_POR_PRT 6)
 set (LANGUAGE_EPO_RUS 7)
 set (LANGUAGE_POL_POL 8)
+set (LANGUAGE_JPN_JPN 9)
 
 message ("-- Configuring cmake.h")
 configure_file (
@@ -194,5 +203,5 @@
                                 "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
                                 "test" "package-config" "misc/*" "src/task$" "src/calc$" "performance"
                                 "src/libtask.a" "src/columns/libcolumns.a" "src/commands/libcommands.a"
-                                "/\\.gitignore" "/\\.git/" "swp$")
+                                "/\\\\.gitignore" "/\\\\.git/" "swp$" "src/lex$")
 include (CPack)
