=== debian/changelog ===
task (2.5.0+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:28:03 +0000

task (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release: 2.5.0

 -- Sebastien Badia <seb@sebian.fr>  Wed, 21 Oct 2015 23:22:03 +0200
