=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: http://taskwarrior.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/task.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/task.git
-XS-Testsuite: autopkgtest
 
 Package: taskwarrior
 Architecture: any
