=== debian/rules ===
#!/usr/bin/make -f

export CMAKE_BUILD_TYPE=release

version = $(shell dpkg-parsechangelog -SVersion)

%:
	dh $@

override_dh_auto_clean:
	dh_clean
	rm -f cmake.h commit.h test/basetest/*.pyc test/simpletap/*.pyc
	rm -rf obj-*

override_dh_auto_install:
	# Needed by #710321
	dh_auto_install
	cd debian/tmp/usr/share/doc/task/scripts/bash && mv task.sh task

.PHONY: get-orig-source
get-orig-source:
	sh ./debian/get-orig-source.sh $(version)

# vim:ts=4 sw=4 noet
