=== debian/tests/control ===
Tests: taskwarrior
Depends: taskwarrior, perl

Tests: adequate-taskwarrior
Depends: taskwarrior, adequate

Tests: adequate-task
Depends: task, adequate
